summaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorAdriaan de Groot <groot@kde.org>2019-11-19 18:02:02 +0100
committerAdriaan de Groot <groot@kde.org>2019-11-19 18:07:13 +0100
commit5fbae8213db2a0e1897d11d35405a9e6ddacad60 (patch)
tree4756363483769feafc04f3910d730698940e1d0f /ci
parent3ee384f36c02499a507ed4cb878f69934733c2bc (diff)
CI: fix Qt version-selection for FreeBSD when calling lupdate
Diffstat (limited to 'ci')
-rwxr-xr-xci/txpush.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/ci/txpush.sh b/ci/txpush.sh
index 84166fac6..f3442f0e5 100755
--- a/ci/txpush.sh
+++ b/ci/txpush.sh
@@ -39,6 +39,9 @@ fi
# sources, then push to Transifex
export QT_SELECT=5
+lupdate -version > /dev/null 2>&1 || export QT_SELECT=qt5
+lupdate -version > /dev/null 2>&1 || { echo "! No working lupdate" ; lupdate -version ; exit 1 ; }
+
# Don't pull branding translations in,
# those are done separately.
_srcdirs="src/calamares src/libcalamares src/libcalamaresui src/modules src/qml"